Skip to main content
`Ctrl`+`K`

# scipy.special.btdtria

scipy.special.btdtria(p, b, x, out=None) = <ufunc 'btdtria'>

  Inverse of `betainc` with respect to a.

  This is the inverse of the beta cumulative distribution function, `betainc`, considered as a function of a, returning the value of a for which betainc(a, b, x) = p, or

  \[p = \int_0^x \frac{\Gamma(a + b)}{\Gamma(a)\Gamma(b)} t^{a-1} (1-t)^{b-1}\,dt\]
  Parameters:
    p array_like

      Cumulative probability, in [0, 1].

    b array_like

      Shape parameter (b > 0).

    x array_like

      The quantile, in [0, 1].

    out ndarray, optional

      Optional output array for the function values

  Returns:
    a scalar or ndarray

      The value of the shape parameter a such that betainc(a, b, x) = p.

  See also

  `btdtrib`

    Inverse of the beta cumulative distribution function, with respect to b.

  Notes

  Wrapper for the CDFLIB [1] Fortran routine cdfbet.

  The cumulative distribution function p is computed using a routine by DiDinato and Morris [2]. Computation of a involves a search for a value that produces the desired value of p. The search relies on the monotonicity of p with a.

  References

  [1]

  Barry Brown, James Lovato, and Kathy Russell, CDFLIB: Library of Fortran Routines for Cumulative Distribution Functions, Inverses, and Other Parameters.

  [2]

  DiDinato, A. R. and Morris, A. H., Algorithm 708: Significant Digit Computation of the Incomplete Beta Function Ratios. ACM Trans. Math. Softw. 18 (1993), 360-373.